> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Retrieve an upload collection by ID.

| Scope | Required |
| - | - |
| `upload_collections:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-16.yaml get /upload_collections/{upload_collection_id}
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-16.lassen
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-16.lassen
  x-git-commit:
    sha: 43d8e1c797e43bb869b8f349c2383bdd5274445f
    url: >-
      https://github.com/mirurobotics/openapi/commit/43d8e1c797e43bb869b8f349c2383bdd5274445f
    message: >-
      docs: replace customer-specific calibration examples with generic ones
      (#513)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-17T00:22:51.314973+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /upload_collections/{upload_collection_id}:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - Upload Collections
      summary: Get
      description: Retrieve an upload collection by ID.
      operationId: getUploadCollection
      parameters:
        - $ref: '#/components/parameters/upload_collection_id'
        - $ref: '#/components/parameters/upload_collection_expansions'
      responses:
        '200':
          description: Successfully retrieved the upload collection.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadCollection'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-16.lassen
      description: The API version the client was built against.
    upload_collection_id:
      name: upload_collection_id
      in: path
      required: true
      description: The unique identifier of the upload collection.
      schema:
        type: string
        example: upl_col_123
    upload_collection_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on the upload collection resource.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/UploadCollectionExpansion'
        example:
          - created_by
  schemas:
    UploadCollection:
      title: Upload Collection
      allOf:
        - $ref: '#/components/schemas/BaseUploadCollection'
        - type: object
          required:
            - created_by_id
            - archived_at
            - archived_by_id
          properties:
            created_by_id:
              type: string
              example: usr_123
              description: ID of the principal who created the upload collection.
            archived_at:
              type: string
              format: date-time
              example: '2021-01-01T00:00:00Z'
              nullable: true
              description: >-
                Timestamp of when the upload collection was archived. Null if
                the upload collection is not archived.
            archived_by_id:
              type: string
              example: usr_123
              nullable: true
              description: >-
                ID of the principal who archived the upload collection. Null if
                the upload collection is not archived or was archived before
                this field was recorded.
            created_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              description: >-
                The principal who created the upload collection. Expand using
                `expand=created_by` in the query string.
            archived_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              nullable: true
              description: >-
                The principal who archived the upload collection. Null if
                `archived_by_id` is null. Expand using `expand=archived_by` in
                the query string.
      example:
        object: upload_collection
        id: upl_col_123
        name: Robot Logs
        slug: robot-logs
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
        created_by_id: usr_123
        archived_at: null
        archived_by_id: null
    UploadCollectionExpansion:
      type: string
      enum:
        - created_by
        - archived_by
      x-enum-varnames:
        - UPLOAD_COLLECTION_EXPAND_CREATED_BY
        - UPLOAD_COLLECTION_EXPAND_ARCHIVED_BY
    BaseUploadCollection:
      title: Upload Collection
      type: object
      required:
        - object
        - id
        - name
        - slug
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - upload_collection
          example: upload_collection
          x-stainless-const: true
          description: The object type, which is always `upload_collection`.
        id:
          type: string
          example: upl_col_123
          description: ID of the upload collection.
        name:
          type: string
          example: Robot Logs
          description: Name of the upload collection.
        slug:
          type: string
          example: robot-logs
          description: An immutable, code-friendly name for the upload collection.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the upload collection was created.
        updated_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the upload collection was last updated.
    Principal:
      title: Principal
      type: object
      required:
        - object
        - id
        - name
        - type
      properties:
        object:
          type: string
          enum:
            - principal
          example: principal
          x-stainless-const: true
          description: The object type, which is always `principal`.
        id:
          type: string
          example: api_key_123
          description: ID of the principal.
        name:
          type: string
          example: My CI/CD Key
          description: The display name of the principal.
        type:
          allOf:
            - $ref: '#/components/schemas/PrincipalType'
          description: >-
            The kind of principal. More types may be added, so handle unknown
            values.
      example:
        object: principal
        id: api_key_123
        name: My CI/CD Key
        type: api_key
    PrincipalType:
      title: Principal Type
      type: string
      enum:
        - user
        - api_key
        - device
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.